#pragma once

#include "CoreMinimal.h"
#include "CoreRewardWidget.h"
#include "CustomizationRewardViewData.h"
#include "CoreCustomizationRewardWidget.generated.h"

class UDBDImage;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreCustomizationRewardWidget : public UCoreRewardWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDImage* RarityIMG;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FCustomizationRewardViewData _data;

public:
	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetCustomizationRewardData(const FCustomizationRewardViewData& customizationRewardViewData);

public:
	UCoreCustomizationRewardWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreCustomizationRewardWidget) { return 0; }
